Update Column
Update a column's name, type, or constraints. Multiple updates can be applied in a single request. When renaming, subsequent updates (type, constraints) use the new name.
PATCH
/api/v1/tables/{tableId}/columnsAuthorization
apiKey X-API-Key<token>
Your Sim API key (personal or workspace). Generate one from the Sim dashboard under Settings > API Keys.
In: header
Path Parameters
tableId*string
The unique identifier of the table.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH \ "https://www.sim.ai/api/v1/tables/{tableId}/columns" \ -H "X-API-Key: YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "workspaceId": "YOUR_WORKSPACE_ID", "columnName": "old_name", "updates": { "name": "new_name", "type": "number" } }'{
"success": true,
"data": {
"columns": [
{
"name": "email",
"type": "string",
"required": true,
"unique": true
},
{
"name": "phone_number",
"type": "string",
"required": true,
"unique": false
}
]
}
}{
"error": "string",
"details": [
{}
]
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}